<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>pressureEqn &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>pressureEqn
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 1.9% of total for derived types.</p>Including implementation: 415 statements,  3.5% of total for derived types.">21 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/pressureEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/pressureeq.f03.html'>pressureEq.f03</a></li>
    
     <li><a href='../module/pressureeq.html'>pressureEq</a></li>
    
  
     <li class="active">pressureEqn</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-dv">Dv</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-massresidual">massResidual</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-res5">res5</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-rescont">resCont</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-createeq%7E2">createEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-destroyeq%7E2">destroyEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressureunderrelaxationfactor">setPressureUnderRelaxationFactor</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressureeqoptions">setPressureEqOptions</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurecorrectionfluxes">assemblePressureCorrectionFluxes</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurefluxes">assemblePressureFluxes</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurecorrectioneq">assemblePressureCorrectionEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-pressureboundaryconditions">pressureBoundaryConditions</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-updatepressurecrossterm">updatePressureCrossTerm</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-rhiechowinterpolation">rhieChowInterpolation</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressurereference">setPressureReference</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-bodyforcecorrection">bodyForceCorrection</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-writemassimbalance">writeMassImbalance</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-printmassimbalance">printMassImbalance</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(transportEqn) :: pressureEqn</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~pressureeqn~~InheritsGraph Pages: 1 -->
<svg id="typepressureeqnInheritsGraph" width="202pt" height="74pt"
 viewBox="0.00 0.00 202.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~pressureeqn~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>type~~pressureeqn~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 198,-70 198,4 -4,4"/>
<!-- type~pressureeqn -->
<g id="type~~pressureeqn~~InheritsGraph_node1" class="node">
<title>type~pressureeqn</title>
<polygon fill="none" stroke="#000000" points="194,-45 122,-45 122,-21 194,-21 194,-45"/>
<text text-anchor="middle" x="158" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">pressureEqn</text>
</g>
<!-- transportEqn -->
<g id="type~~pressureeqn~~InheritsGraph_node2" class="node">
<title>transportEqn</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="74,-66 0,-66 0,-42 74,-42 74,-66"/>
<text text-anchor="middle" x="37" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">transportEqn</text>
</g>
<!-- type~pressureeqn&#45;&gt;transportEqn -->
<g id="type~~pressureeqn~~InheritsGraph_edge2" class="edge">
<title>type~pressureeqn&#45;&gt;transportEqn</title>
<path fill="none" stroke="#000000" d="M121.696,-39.3007C109.949,-41.3394 96.7449,-43.6311 84.3203,-45.7874"/>
<polygon fill="#000000" stroke="#000000" points="83.3702,-42.3999 74.116,-47.5584 84.5672,-49.2968 83.3702,-42.3999"/>
</g>
<!-- flubioField -->
<g id="type~~pressureeqn~~InheritsGraph_node3" class="node">
<title>flubioField</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="67.5,-24 6.5,-24 6.5,0 67.5,0 67.5,-24"/>
<text text-anchor="middle" x="37" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioField</text>
</g>
<!-- type~pressureeqn&#45;&gt;flubioField -->
<g id="type~~pressureeqn~~InheritsGraph_edge1" class="edge">
<title>type~pressureeqn&#45;&gt;flubioField</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M121.696,-26.6993C107.8041,-24.2883 91.8744,-21.5237 77.6059,-19.0473"/>
<polygon fill="#000000" stroke="#000000" points="78.014,-15.5659 67.5627,-17.3043 76.8169,-22.4628 78.014,-15.5659"/>
<text text-anchor="middle" x="98" y="-25.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">Dv</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-dv">Dv</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-massresidual">massResidual</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-res5">res5</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#variable-rescont">resCont</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-createeq%7E2">createEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-destroyeq%7E2">destroyEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressureunderrelaxationfactor">setPressureUnderRelaxationFactor</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressureeqoptions">setPressureEqOptions</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurecorrectionfluxes">assemblePressureCorrectionFluxes</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurefluxes">assemblePressureFluxes</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-assemblepressurecorrectioneq">assemblePressureCorrectionEq</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-pressureboundaryconditions">pressureBoundaryConditions</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-updatepressurecrossterm">updatePressureCrossTerm</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-rhiechowinterpolation">rhieChowInterpolation</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-setpressurereference">setPressureReference</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-bodyforcecorrection">bodyForceCorrection</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-writemassimbalance">writeMassImbalance</a>
      
      <a class="list-group-item" href="../type/pressureeqn.html#boundprocedure-printmassimbalance">printMassImbalance</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-dv"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Dv</strong></td><td></td><td></td><td><p>It is used to build the pressure correction coefficients (Moukalled et al., pp. 594-597).</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-massresidual"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>massResidual</strong></td><td></td><td></td><td><p>mass imbalance (i.e. pressure-correction eq rhs)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-res5"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>res5</strong></td><td></td><td></td><td><p>Maxiumum continuity residual after 5 iterations</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-rescont"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>resCont</strong></td><td></td><td></td><td><p>Continuity residualScaled with res5</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createeq%7E2"></span><h3>procedure, public :: <strong>createEq</strong>  => <a href='../proc/createpressureeq.html'>createPressureEq</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createpressureeq.html'>createPressureEq</a>(this, eqName, nComp)
    
    
   
</h3>
    







<p>createPressureEq is the class contructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>eqName</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-destroyeq%7E2"></span><h3>procedure, public :: <strong>destroyEq</strong>  => <a href='../proc/destroypressureeq.html'>destroyPressureEq</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/destroypressureeq.html'>destroyPressureEq</a>(this)
    
    
   
</h3>
    







<p>destroyPressureEq is the class de-contructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setpressureunderrelaxationfactor"></span><h3>procedure, public :: <strong>setPressureUnderRelaxationFactor</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setpressureunderrelaxationfactor.html'>setPressureUnderRelaxationFactor</a>(this)
    
    
   
</h3>
    







<p>setPressureUnderRelaxationFactor sets the explicit relaxation factor for the pressure.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setpressureeqoptions"></span><h3>procedure, public :: <strong>setPressureEqOptions</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setpressureeqoptions.html'>setPressureEqOptions</a>(this, kspName)
    
    
   
</h3>
    







<p>setPressureEqOptions sets the option for the pressure-correction equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>kspName</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assemblepressurecorrectionfluxes"></span><h3>procedure, public :: <strong>assemblePressureCorrectionFluxes</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assemblepressurecorrectionfluxes.html'>assemblePressureCorrectionFluxes</a>(this)
    
    
   
</h3>
    







<p>AssemblePressureCorrectionTerms computes pressure-correction fluxes to be used during the linear system assembling.
Three quantities can be defined and their expression depends on the non-orthogonal correction approach chosen.
For the under-relaxed, approach we have (see Moukalled et al. pp. 597):
\begin{eqnarray}
    FluxC_1_f = -\rho_f D_f \
    FluxC_2_f = -\rho_f D_f  \
    FluxV_f =  -m_f -\nabla p^{'}_f \cdot \textbf{T}_f
\begin{eqnarray}</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assemblepressurefluxes"></span><h3>procedure, public :: <strong>assemblePressureFluxes</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assemblepressurefluxes.html'>assemblePressureFluxes</a>(this)
    
    
   
</h3>
    







<p>AssemblePressureTerms computes pressure fluxes to be used during the linear system assembling of thre pressure equation.
Please note that the pressure equation is aslightly modified with respect to the standand SIMPLE algorithm and it follows
The metodology used in OpenFoam.
Three quantities can be defined and their expression depends on the non-orthogonal correction approach chosen.
For the under-relaxed, approach we have (see Moukalled et al. pp. 597):
\begin{eqnarray}
    FluxC_1_f = -\rho_f D_f \
    FluxC_2_f = -\rho_f D_f  \
    FluxV_f =  -m_f -\nabla p^{'}_f \cdot \textbf{T}_f
\begin{eqnarray}</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-assemblepressurecorrectioneq"></span><h3>procedure, public :: <strong>assemblePressureCorrectionEq</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/assemblepressurecorrectioneq.html'>assemblePressureCorrectionEq</a>(this)
    
    
   
</h3>
    







<p>assemblePressureCorrectionEq  assembles the fluxes in the pressure-correction matrix and rhs.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-pressureboundaryconditions"></span><h3>procedure, public :: <strong>pressureBoundaryConditions</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/pressureboundaryconditions.html'>pressureBoundaryConditions</a>(this)
    
    
   
</h3>
    







<p>pressureBoundaryConditions applies the boundary condition to the pressure-correction equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-updatepressurecrossterm"></span><h3>procedure, public :: <strong>updatePressureCrossTerm</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/updatepressurecrossterm.html'>updatePressureCrossTerm</a>(this, p)
    
    
   
</h3>
    







<p>updatePressureCrossTerm computes the cross diffusion term for the non-orthogonal
corrections during solution of pressure-correction equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>p</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-rhiechowinterpolation"></span><h3>procedure, public :: <strong>rhieChowInterpolation</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/rhiechowinterpolation.html'>rhieChowInterpolation</a>(this)
    
    
   
</h3>
    







<p>rhieChowInterpolation compute the mass flow according to the Rhie and Chow formulation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setpressurereference"></span><h3>procedure, public :: <strong>setPressureReference</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setpressurereference.html'>setPressureReference</a>(this)
    
    
   
</h3>
    







<p>setPressureReference simply sets the value of pressure at cell number 1. Actually this is done by default and automatically.
if you need to set the cell in a specific way, change the index here or add a dictonary entry.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-bodyforcecorrection"></span><h3>procedure, public :: <strong>bodyForceCorrection</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/bodyforcecorrection.html'>bodyForceCorrection</a>(this) result(relaxCorr)
    
    
   
</h3>
    







<p>underRelaxationCorrection computes a correction for the face velocity depending on the under-relaxation factor.
\begin{eqnarray}
\begin{eqnarray}</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>real
  (numberOfFaces,3)</small></h4>
  <p>under-relaxation factor correction for Rhie and Chow interpolation</p>
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-writemassimbalance"></span><h3>procedure, public :: <strong>writeMassImbalance</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/writemassimbalance.html'>writeMassImbalance</a>(this)
    
    
   
</h3>
    







<p>writeresiduals writes the residual in a data file ready to plot.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-printmassimbalance"></span><h3>procedure, public :: <strong>printMassImbalance</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/printmassimbalance.html'>printMassImbalance</a>(this)
    
    
   
</h3>
    







<p>printMassImbalance prints to screeb the actual mass imbalance.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/pressureeqn.html'>pressureEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>